<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002-2005 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//session_start();
$file = "console";
$path_pre = "../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;



if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p class=\"titletext\" align=\"center\">{$cm_text["console-welcome"]}</p><hr>\n";
  echo "<table border=\"0\" align=\"center\" cellpadding=\"10\" cellspacing=\"0\">\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"display.php\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_gohome"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["setup-gotocmhome"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"$path_pre\" TARGET=\"_blank\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_gohome"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["setup-gotohome"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_config.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_config"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-reconfigure"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_createdb.php?cmru=console\" class=\"pngimg\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_createdb"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-createdb"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_editsec.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_editsec"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-editsec"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_mkroot.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_mkroot"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-createroot"]}.</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_syndman.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_syndman"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-syndman"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_applog.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_log"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-viewapplog"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"adm_chkdata.php?cmru=console\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_check"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["console-checkdata"]}</a></td></tr>\n";
  echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"phpinfo.php\" TARGET=\"_blank\">
    <img src=\"$cm_imgpath/{$cm_image_filename[$cm_icon_set]["setup_phpinfo"]}\" width=\"$cm_setup_iconwidth\" height=\"$cm_setup_iconheight\" border=\"0\" class=\"pngimg\" align=\"middle\">
    {$cm_text["setup-phpinfo"]}</a></td></tr>\n";
  echo "</table>";
}
else {
  echo "<p class=\"titletext\">{$cm_text["console-welcome"]}</p>\n";
  echo "<h3 class=\"setuperror\">{$cm_text["console-nosuperuser"]}</h3>\n";
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when viewing the console. Not enough permissions.");
}

echo "<hr>\n";
echo "<p class=\"titletext\" align=\"center\">{$cm_text["console-links"]}</p>\n";
echo "<table border=\"0\" align=\"center\" cellpadding=\"10\" cellspacing=\"0\"\n>";
echo "<tr><td class=\"console2body\" valign=\"top\"><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/\" TARGET=\"_blank\">{$cm_text["console-lcmshomepage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/faq.php\" TARGET=\"_blank\">{$cm_text["console-lcmsfaqpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/configure.php\" TARGET=\"_blank\">{$cm_text["console-lcmsconfigpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/install.php\" TARGET=\"_blank\">{$cm_text["console-lcmsinstallpage"]}</a></li>\n";
echo "</ul><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.phprojekt.com/\" TARGET=\"_blank\">{$cm_text["console-lphprojektpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.phprojekt.com/modules.php?op=modload&name=forum&file=index\" TARGET=\"_blank\">{$cm_text["console-lphprojektforums"]}</a></li>\n";
echo "</ul></td>";
echo "<td class=\"console2body\" valign=\"top\"><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=1\" TARGET=\"_blank\"><strong>{$cm_text["console-lcmshelpforum"]}</strong></a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=3\" TARGET=\"_blank\"><strong>{$cm_text["console-lcmsbugsforum"]}</strong></a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=2\" TARGET=\"_blank\"><strong>{$cm_text["console-lcmswishforum"]}</strong></a></li>\n";
echo "</ul><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/checkupdates.php?v1=$cm_codebasedetails[0]&v2=$cm_codebasedetails[1]&v3=$cm_codebasedetails[2]&v4=$cm_codebasedetails[3]&v5=$cm_codebasedetails[4]\" TARGET=\"_blank\"><strong>{$cm_text["console-lcheckupdates"]}</strong></a></li>\n";
echo "</ul></td></tr>";
echo "</table>\n";

echo "<p class=\"generaltext\">";
echo "C: $cm_http_useragent<br>";
echo "S: $cm_mod_id<br>";
echo "</p>";

echo $cm_html_footer;
?>

